Package com.sas.services.information.metadata.lookup.actions

# Class AbstractAction

java.lang.Object
com.sas.services.information.metadata.lookup.actions.AbstractAction

All Implemented Interfaces:
  `ActionInterface`

Direct Known Subclasses:
  `XmlNamesAction`, `XmlUsersAction`

@Deprecated public abstract class AbstractAction extends Object implements ActionInterface
Deprecated.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected UserContextInterface`
  `user`
  Deprecated.

  ### Fields inherited from interface com.sas.services.information.metadata.lookup.actions.ActionInterface

  `MAP_KEY, NEW_KEY, OLD_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractAction()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract void`
  `_add(String oldValue, String newValue)`
  Deprecated.
  `protected abstract void`
  `_initialize(Document document)`
  Deprecated.
  `protected abstract LookupResultsInterface`
  `_lookup(String oldValue)`
  Deprecated.
  `void`
  `add(PathUrl oldValue, PathUrl newValue)`
  Deprecated.
  `void`
  `add(String oldValue, String newValue)`
  Deprecated.
  `void`
  `initialize(UserContextInterface user, Document document)`
  Deprecated.
  `LookupResultsInterface`
  `lookup(PathUrl oldValue)`
  Deprecated.
  `LookupResultsInterface`
  `lookup(String oldValue)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.metadata.lookup.actions.ActionInterface

  `getDomElement`

- ## Field Details

  - ### user

    protected UserContextInterface user
    Deprecated.

- ## Constructor Details

  - ### AbstractAction

    public AbstractAction()
    Deprecated.

- ## Method Details

  - ### _initialize

    protected abstract void _initialize(Document document)
    Deprecated.

  - ### _lookup

    protected abstract LookupResultsInterface _lookup(String oldValue)
    Deprecated.

  - ### _add

    protected abstract void _add(String oldValue, String newValue)
    Deprecated.

  - ### initialize

    public void initialize(UserContextInterface user, Document document)
    Deprecated.
    Specified by:
      `initialize` in interface `ActionInterface`

  - ### lookup

    public LookupResultsInterface lookup(String oldValue)
    Deprecated.
    Specified by:
      `lookup` in interface `ActionInterface`

  - ### lookup

    public LookupResultsInterface lookup(PathUrl oldValue)
    Deprecated.
    Specified by:
      `lookup` in interface `ActionInterface`

  - ### add

    public void add(PathUrl oldValue, PathUrl newValue)
    Deprecated.
    Specified by:
      `add` in interface `ActionInterface`

  - ### add

    public void add(String oldValue, String newValue)
    Deprecated.
    Specified by:
      `add` in interface `ActionInterface`